/*
 * Copyright 2024 Red Hat, Inc.
 *
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU General Public License v2 or (at your option) any later version.
 */

#ifndef __LIBDLMSD_DOT_H__
#define __LIBDLMSD_DOT_H__

#define DLM_SD_SOCK_PATH		"dlm_sd_sock"
#define DLM_SDQ_SOCK_PATH		"dlm_sd_query_sock"

#define DLM_SD_MAGIC			0x20240307
#define DLM_SD_VERSION			0x00010001

#define DLM_SD_CMD_RELOAD_CONFIG	0x00000001
#define DLM_SD_CMD_SET_CONFIG		0x00000002

#define DLM_SDQ_CMD_DUMP_STATUS		0x10000001
#define DLM_SDQ_CMD_DUMP_CONFIG		0x10000002
#define DLM_SDQ_CMD_DUMP_DEBUG		0x10000003

#define DLM_SD_DUMP_SIZE (1024 * 1024)

struct dlm_sd_header {
	uint32_t magic;
	uint32_t version;
	uint32_t command;
	uint32_t option;
	uint32_t len;
	uint32_t flags;
	int data;
	int unsued;
	char name[DLM_LOCKSPACE_LEN+8];
};

#endif

